Brivio API reference
Rewards

Create a widget signing key; the secret is returned once (scope: rewards:write)

POST
/rewards/widget-keys

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Request Body

application/json
  1. body
allowedOrigins*array<>
Items1 <= items <= 20

Response Body

OK

application/json
  1. response
data*

secret is returned ONLY by the create call. Keep it on your server.

error*null
curl -X POST "https://example.com/rewards/widget-keys" \  -H "Content-Type: application/json" \  -d '{    "allowedOrigins": [      "http://example.com"    ]  }'
{  "data": {    "kid": "string",    "secret": "string",    "programKey": "string",    "allowedOrigins": [      "string"    ],    "createdAt": "2019-08-24T14:15:22Z"  },  "error": null}